Transition (CMDB Model API)
Keywords: com.collation.platform.model.workflow.Transition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface Transition

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Transition

extends ModelObject

Transition

Naming Rules:
  0="from,to"
Persistable:
  true
Table Name:
  TRANSITION

Method Summary
`boolean` | `getForEach()`
`long` | `getFrom()`
`long` | `getTo()`
`boolean` | `hasForEach()`
`boolean` | `hasFrom()`
`boolean` | `hasTo()`
`void` | `setForEach(boolean b)`
`void` | `setFrom(long id)`
`void` | `setTo(long id)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFrom

    long getFrom()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFrom

    void setFrom(long id)

### hasFrom

    boolean hasFrom()

### getTo

    long getTo()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTo

    void setTo(long id)

### hasTo

    boolean hasTo()

### getForEach

    boolean getForEach()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForEach

    void setForEach(boolean b)

### hasForEach

    boolean hasForEach()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD